<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\equity;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\equity\EquityOrderLists;
use app\adminapi\logic\equity\EquityOrderLogic;
use app\adminapi\validate\equity\EquityOrderValidate;


/**
 * EquityOrder控制器
 * Class EquityOrderController
 * @package app\adminapi\controller
 */
class EquityOrderController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/25 13:32
     */
    public function lists()
    {
        return $this->dataLists(new EquityOrderLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/25 13:32
     */
    public function add()
    {
        $params = (new EquityOrderValidate())->post()->goCheck('add');
        $result = EquityOrderLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(EquityOrderLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/25 13:32
     */
    public function edit()
    {
        $params = (new EquityOrderValidate())->post()->goCheck('edit');
        $result = EquityOrderLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(EquityOrderLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/25 13:32
     */
    public function delete()
    {
        $params = (new EquityOrderValidate())->post()->goCheck('delete');
        EquityOrderLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/25 13:32
     */
    public function detail()
    {
        $params = (new EquityOrderValidate())->goCheck('detail');
        $result = EquityOrderLogic::detail($params);
        return $this->data($result);
    }

    public function addOrder()
    {
        $params = (new EquityOrderValidate())->post()->goCheck('detail');
        $result = EquityOrderLogic::addOrder($params);
        if (false === $result) {
            return $this->fail(EquityOrderLogic::getError());
        }
        return $this->success('下单成功', [], 1, 1);
    }

}